Adobe Bridge 11.x< 11.1.2の複数の脆弱性 (APSB21-94)

high Nessus プラグイン ID 154425

概要

リモートの macOS または Mac OS X ホストにインストールされている Adobe Bridge は、複数の脆弱性の影響を受けます

説明

リモートの macOS または Mac OS X ホストにインストールされている Adobe Bridge のバージョンは 11.1.2より前です。したがって、apsb21-94 のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- Adobe Bridge バージョン 11.1.1(およびそれ以前) は、悪意のある PSD ファイルが安全でない方法で処理されているため、メモリ破損の脆弱性の影響を受けます。これにより、現在のユーザーのコンテキストで任意のコードが実行される可能性があります。この脆弱性を悪用するには、ユーザーの操作が必要です。(CVE-2021-42730)

- Adobe Bridge バージョン 11.1.1(およびそれ以前) は、特別に細工されたファイルを解析する際に、Null ポインター逆参照の脆弱性の影響を受けます。認証されていない攻撃者がこの脆弱性を利用し、現在のユーザーのコンテキストでアプリケーションのサービス拒否を引き起こす可能性があります。この問題を悪用するにはユーザーの操作が必要で、被害者が悪意のあるファイルを開く必要があります。(CVE-2021-40750)

- Adobe Bridge バージョン 11.1.1(およびそれ以前) は、細工された DCM ファイルを解析する際に、二重解放の脆弱性の影響を受けます。これにより、現在のユーザーのコンテキストで任意のコードが実行される可能性があります。この脆弱性を悪用するには、ユーザーの操作が必要です。(CVE-2021-42533)

- Adobe Bridge バージョン 11.1.1(およびそれ以前) は、細工された .jpe ファイルの解析時に領域外読み取りの脆弱性による影響を受けます。これにより、割り当てられたメモリ構造の終端を超えて読み取る可能性があります。攻撃者はこの脆弱性を利用して、現在のユーザーのコンテキストでコードを実行する可能性があります。
この問題を悪用するにはユーザーの操作が必要で、被害者が悪意のあるファイルを開く必要があります。
(CVE-2021-42719)

- Adobe Bridge バージョン 11.1.1(およびそれ以前) は、細工されたファイルの解析時に領域外読み取りの脆弱性による影響を受けます。これにより、割り当てられたメモリ構造の終端を超えて読み取る可能性があります。攻撃者はこの脆弱性を利用して、現在のユーザーのコンテキストでコードを実行する可能性があります。この問題を悪用するにはユーザーの操作が必要で、被害者が悪意のあるファイルを開く必要があります。(CVE-2021-42720、CVE-2021-42722)

Nessus はこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

Adobe Bridge バージョン 11.1.2以降にアップグレードしてください。

関連情報

https://cwe.mitre.org/data/definitions/120.html

https://cwe.mitre.org/data/definitions/125.html

https://cwe.mitre.org/data/definitions/415.html

https://cwe.mitre.org/data/definitions/476.html

https://cwe.mitre.org/data/definitions/788.html

https://helpx.adobe.com/security/products/bridge/apsb21-94.html

プラグインの詳細

深刻度: High

ID: 154425

ファイル名: macos_adobe_bridge_apsb21-94.nasl

バージョン: 1.6

タイプ: local

エージェント: macosx

公開日: 2021/10/26

更新日: 2022/3/23

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2021-42730

CVSS v3

リスクファクター: High

Base Score: 7.8

Temporal Score: 6.8

ベクトル: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/a:adobe:bridge

必要な KB アイテム: Host/local_checks_enabled, Host/MacOSX/Version, installed_sw/Adobe Bridge

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/10/26

脆弱性公開日: 2021/10/26

参照情報

CVE: CVE-2021-40750, CVE-2021-42533, CVE-2021-42719, CVE-2021-42720, CVE-2021-42722, CVE-2021-42724, CVE-2021-42728, CVE-2021-42729, CVE-2021-42730

IAVA: 2021-A-0514-S

CWE: 120, 125, 415, 476, 788